be.ehealth.businessconnector.chapterIV.builders

## Interface ResponseBuilder

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    ResponseBuilderImpl

      public interface ResponseBuilder
      extends Serializable

  retrieves data from response objects. Default impl : `ResponseBuilderImpl` Factory : `BuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Kmehrresponse` | `convertToKmehrResKmehrresponse(byte[] bytes)`
    `org.bouncycastle.tsp.TimeStampResponse` | `convertToTimeStampResponse(byte[] bytes)`
    `FaultType` | `retrieveReturnInfo(ResponseType response)` retrieves the returnInfo with detailed error
    `ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response)` validates and decodes response and retrieves kmehrResponse and timestamp info.
    `ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response, boolean ignoreWarnings)` validates and decodes response and retrieves kmehrResponse and timestamp info.
    `ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response)` validates and decodes response and retrieves kmehrResponse and timestamp info.
    `ChapterIVKmehrResponseWithTimeStampInfo` | `validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response, boolean ignoreWarnings)` validates and decodes response and retrieves kmehrResponse and timestamp info.

- - ### Method Detail

    - #### retrieveReturnInfo

          FaultType retrieveReturnInfo(ResponseType response)

      retrieves the returnInfo with detailed error
      Parameters:
        `response` - `ResponseType`
      Returns:
        `FaultType`

    - #### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

          ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response)
                                                                                                               throws ChapterIVBusinessConnectorException,
                                                                                                                      TechnicalConnectorException

      validates and decodes response and retrieves kmehrResponse and timestamp info.
      Returns:
        `ChapterIVKmehrResponseWithTimeStampInfo`
      Throws:
        `TechnicalConnectorException`
        `ChapterIVBusinessConnectorException`

    - #### convertToTimeStampResponse

          org.bouncycastle.tsp.TimeStampResponse convertToTimeStampResponse(byte[] bytes)
                                                                     throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### convertToKmehrResKmehrresponse

          Kmehrresponse convertToKmehrResKmehrresponse(byte[] bytes)
                                                throws ChapterIVBusinessConnectorException

      Throws:
        `ChapterIVBusinessConnectorException`

    - #### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

          ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response)
                                                                                                               throws ChapterIVBusinessConnectorException,
                                                                                                                      TechnicalConnectorException

      validates and decodes response and retrieves kmehrResponse and timestamp info.
      Parameters:
        `response` - ConsultChap4MedicalAdvisorAgreementResponse
      Returns:
        `ChapterIVKmehrResponseWithTimeStampInfo`
      Throws:
        `TechnicalConnectorException`
        `ChapterIVBusinessConnectorException`

    - #### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

          ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(AskChap4MedicalAdvisorAgreementResponse response,
                                                                                                                      boolean ignoreWarnings)
                                                                                                               throws UnsealConnectorException,
                                                                                                                      ChapterIVBusinessConnectorException,
                                                                                                                      TechnicalConnectorException

      validates and decodes response and retrieves kmehrResponse and timestamp info. if the ignoreWarnings parameter is set to true , non blocking warnings when unsealing will be ignored and the unsealing will continue. this allows the unsealing of old messages with expired certificates.
      Parameters:
        `response` -
        `ignoreWarnings` -
      Returns:
      Throws:
        `UnsealConnectorException`
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`

    - #### validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo

          ChapterIVKmehrResponseWithTimeStampInfo validateTimestampAndretrieveChapterIVKmehrResponseWithTimeStampInfo(ConsultChap4MedicalAdvisorAgreementResponse response,
                                                                                                                      boolean ignoreWarnings)
                                                                                                               throws UnsealConnectorException,
                                                                                                                      ChapterIVBusinessConnectorException,
                                                                                                                      TechnicalConnectorException

      validates and decodes response and retrieves kmehrResponse and timestamp info. if the ignoreWarnings parameter is set to true , non blocking warnings when unsealing will be ignored and the unsealing will continue. this allows the unsealing of old messages with expired certificates.
      Parameters:
        `response` -
        `ignoreWarnings` -
      Returns:
      Throws:
        `UnsealConnectorException`
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.